<div align="center">
  <div>
  <a href="https://gtoolkit.com" target="_blank">
     <img src="doc/gtoolkit.png" height=150/>
  </a>
  </div>
    
  <div>
    <a href="https://discord.gg/FTJr9gP" target="_blank">
      <img alt="Discord" src="https://img.shields.io/discord/729445214812504107?color=green&label=chat&logo=discord&logoColor=white&style=flat-square">
    </a>
    <a href="https://twitter.com/feenkcom" target="_blank">
      <img alt="Twitter Follow" src="https://img.shields.io/twitter/follow/feenkcom?color=blue&label=%40feenkcom&logo=twitter&logoColor=white&style=flat-square">
    </a>
    <a href="https://youtube.com/@gtoolkit" target="_blank">
      <img alt="YouTube Channel Subscribers" src="https://img.shields.io/youtube/channel/subscribers/UClLZHVq_-2D2-iI4rA2O8Ug?color=red&label=%40gtoolkit&logo=youtube&logoColor=white&style=flat-square">
    </a>
  </div>
</div>

## The Moldable Development Environment
[Glamorous Toolkit](https://gtoolkit.com) is the Moldable Development environment. It empowers you to make systems explainable through experiences tailored for each problem.

## Get started

### Install and run
Simply download: https://gtoolkit.com/download.
The download is a self contained installation made of a Glamorous Toolkit image, a virtual machine, and a few other resources and libraries.
Now, just run the executable.
- On Mac: `GlamorousToolkit.app`
- On Windows: `.\bin\GlamorousToolkit.exe`
- On Linux: `./bin/GlamorousToolkit`

### Take a tour
Glamorous Toolkit was developed following Moldable Development, and it offers extensive opportunities to learn about itself. Start with a tour through the built-in book to get an overview of the breadth of possibilities.

Or explore online:
- [Read the book](https://book.gtoolkit.com).
- [Watch GT in 7' video series](https://youtu.be/-vFwfwy5WZA?list=PLfrs5bwLJOoAaHvQGSLeKpHWmFuZXPUTJ).

### Pick a problem you care about
Pick a problem you care about. Pick a problem you care about. We cannot stress this enough.

Why? Because the essence of Moldable Development is about adapting the environment to match the context. If you do not have a deep context, you cannot evaluate what contextual tools do for you. Pick a problem you care about.

What kind of problems? There can be many. Out of the box, you can explore:
- Explore a GraphQL or REST API
- Analyze unknown data
- Discover and model a domain
- Assess an existing system
- Document a system
- Build system specific editors

Read about more examples in the built-in book.
### Go beyond the technology
Glamorous Toolkit is an environment that shows how the experience of programming can be, but ultimately it's still just a piece of technology. Moldable Development introduces a new feedback loop that has far reaching consequences, both on the technical and the business level.
## Engage with the community
- Follow us on Twitter: [@feenkcom](https://twitter.com/feenkcom)
- Chat with us on Discord: [discord.gg/FTJr9gP](https://discord.gg/FTJr9gP)
- Watch our YouTube videos: [@gtoolkit](https://www.youtube.com/@gtoolkit)

## Glamorous Toolkit and Pharo
Glamorous Toolkit is built in [Pharo](https://pharo.org), and it enables people to work with Pharo systems. Nevertheless, the goal of Glamorous Toolkit is distinct from that of Pharo and so is its realization. [Read more in the book](https://book.gtoolkit.com/glamorous-toolkit-and-pharo-6k5konpjjknm9u90y4t6le5po).
## License

See [LICENSE](LICENSE).
